pydo.databases.update_online_migration()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.databases.update_online_migration(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
body={
"source": {...},
"disable_ssl": False,
"ignore_dbs": [...],
},
)Description
To start an online migration, send a PUT request to /v2/databases/{database_cluster_uuid}/online-migration endpoint. Migrating a cluster establishes a connection with an existing cluster and replicates its contents to the target cluster. Online migration is only available for MySQL, PostgreSQL, Caching, and Valkey clusters.
If the existing database is continuously being written to, the migration process will continue for up to two weeks unless it is manually stopped. Online migration is only available for MySQL, PostgreSQL, Caching, and Valkey clusters.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
sourceobject requiredShow child properties
hoststring optionalExample:
backend-do-user-19081923-0.db.ondigitalocean.comThe FQDN pointing to the database cluster's current primary node.
portinteger optionalExample:
25060The port on which the database cluster is listening.
dbnamestring optionalExample:
defaultdbThe name of the default database.
usernamestring optionalExample:
doadminThe default user for the database.
passwordstring optionalExample:
wv78n3zpz42xezdkThe randomly generated password for the default user.
disable_sslboolean optionalExample:
FalseEnables SSL encryption when connecting to the source database.
ignore_dbsarray of strings optionalExample:
['db0', 'db1']List of databases that should be ignored during migration.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/online-migration in the API reference for additional detail on responses, headers, parameters, and more.